Bug 246203 - audio/taglib: packaging failed
Summary: audio/taglib: packaging failed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-05 00:04 UTC by sdalu
Modified: 2020-08-27 15:10 UTC (History)
2 users (show)

See Also:
jhale: maintainer-feedback+


Attachments
poudriere log (288.34 KB, text/plain)
2020-05-05 00:04 UTC, sdalu
no flags Details
Patch for taglib (1.42 KB, patch)
2020-07-28 11:56 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for taglib v2 (1.42 KB, patch)
2020-08-25 13:21 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sdalu 2020-05-05 00:04:10 UTC
Created attachment 214134 [details]
poudriere log

building taglib fails in the packaging phase due to missing shared libraries
Comment 1 daniel.engberg.lists 2020-05-05 06:58:08 UTC
This because you have TEST enabled, upstream doesn't support testing (for now at least) using shared libs.
https://svnweb.freebsd.org/ports/head/audio/taglib/Makefile?revision=533680&view=markup#l40
Comment 2 daniel.engberg.lists 2020-07-28 11:56:04 UTC
Created attachment 216834 [details]
Patch for taglib

Force static build if test option is enabled as shared libs aren't supported during testing by upstream
Comment 3 daniel.engberg.lists 2020-08-25 13:21:08 UTC
Created attachment 217520 [details]
Patch for taglib v2

Makes audio/taglib consistent with audio/libsndfile
Comment 4 commit-hook freebsd_committer 2020-08-27 15:09:41 UTC
A commit references this bug:

Author: jhale
Date: Thu Aug 27 15:08:40 UTC 2020
New revision: 546351
URL: https://svnweb.freebsd.org/changeset/ports/546351

Log:
  audio/taglib: Fix packaging if TEST option is enabled

  - Add STATIC option to fix packaging if the TEST option is enabled. Taglib
    only allows for static libraries to be built when testing is enabled. [1]
  - devel/cppunit needs to be present at build time for the tests to be built.
  - Enable symbol visibility.
  - Boost support was removed upstream, so we no longer need to disable the
    check for it.

  PR:		246203 [1]
  Submitted by:	<daniel.engberg.lists@pyret.net> [1]
  Reported by:	<sdalu@sdalu.com> [1]

Changes:
  head/audio/taglib/Makefile
  head/audio/taglib/pkg-plist
Comment 5 Jason E. Hale freebsd_committer 2020-08-27 15:10:55 UTC
Committed along with a few other minor changes. Thanks!